﻿using System.Configuration;

namespace Altairis.Nemesis.Gallery.Configuration {

    public class PersonalizationElement : ConfigurationElement {

        [ConfigurationProperty("title", IsRequired = false, DefaultValue = "Nemesis Gallery")]
        public string Title {
            get { return (string)this["title"]; }
            set { this["title"] = value; }
        }

        [ConfigurationProperty("copyrightText", IsRequired = false, DefaultValue = "(c) Altairis, 2008")]
        public string CopyrightText {
            get { return (string)this["copyrightText"]; }
            set { this["copyrightText"] = value; }
        }

        [ConfigurationProperty("copyrightLink", IsRequired = false, DefaultValue = "http://www.altairis.cz/")]
        public string CopyrightLink {
            get { return (string)this["copyrightLink"]; }
            set { this["copyrightLink"] = value; }
        }

        [ConfigurationProperty("styleSheet", IsRequired = false, DefaultValue = "/_Static/Default/silver.css")]
        public string StyleSheet {
            get { return (string)this["styleSheet"]; }
            set { this["styleSheet"] = value; }
        }

    }

}
